about summary refs log tree commit diff
path: root/third_party/git/t/t5604-clone-reference.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/t/t5604-clone-reference.sh')
-rwxr-xr-xthird_party/git/t/t5604-clone-reference.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/third_party/git/t/t5604-clone-reference.sh b/third_party/git/t/t5604-clone-reference.sh
index 4894237ab8..0c74b4e21a 100755
--- a/third_party/git/t/t5604-clone-reference.sh
+++ b/third_party/git/t/t5604-clone-reference.sh
@@ -326,15 +326,16 @@ test_expect_success SYMLINKS 'clone repo with symlinked or unknown files at obje
 	for raw in $(ls T*.raw)
 	do
 		sed -e "s!/../!/Y/!; s![0-9a-f]\{38,\}!Z!" -e "/commit-graph/d" \
-		    -e "/multi-pack-index/d" <$raw >$raw.de-sha || return 1
+		    -e "/multi-pack-index/d" <$raw >$raw.de-sha-1 &&
+		sort $raw.de-sha-1 >$raw.de-sha || return 1
 	done &&
 
 	cat >expected-files <<-EOF &&
 	./Y/Z
 	./Y/Z
+	./Y/Z
 	./a-loose-dir/Z
 	./an-object
-	./Y/Z
 	./info/packs
 	./pack/pack-Z.idx
 	./pack/pack-Z.pack